Bug 122462 - Fedora Core 1 SMP kernel boot hang USB APIC ACPI related
Fedora Core 1 SMP kernel boot hang USB APIC ACPI related
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-04 16:06 EDT by Brian Hanna
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 16:24:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci -v (6.54 KB, text/plain)
2004-05-04 16:10 EDT, Brian Hanna
no flags Details
lspci -v (6.28 KB, text/plain)
2004-05-04 16:12 EDT, Brian Hanna
no flags Details

  None (edit)
Description Brian Hanna 2004-05-04 16:06:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.2)
Gecko/20030716

Description of problem:
Dell PowerEdge 2650 dual CPU consistently hangs booting stock SMP
kernel. Hang occurs at or around "Setting up local disks". Very
reproducable. Stock UP kernel boots and runs with no problem.

Turned off USB in BIOS, commented out USB in /etc/modules.conf. I was
then able to boot the SMP kernel. 

After SMP boot, "cat /etc/cpuinfo" shows 4 cpus, but only two on mobo!
Added "noapic acpi=off" to kernel boot line in /etc/grub.conf and
rebooted. "cat /etc/cpuinfo" now correctly shows 2 cpus.

Dell BIOS most recent revision: A17. No APIC/ACPI BIOS controls.

Related to some bug reports in Bugzilla Bug 109497 - many having NFS
problems, but this was apparently related to latency and fixed.
However, some there reported boot hangs and wrong # cpus. 

  Comment 23 from Joshua Thompson - commenting out USB fixes boot. 
  Comments 32, 33, 35 by Max Power and Dave Jones - also implicates
the USB module. 
  Comment 55 by Aaron Belovsky mentions the # cpus problem. 
  Comment 101 by Scott Friedman indicates USB is a separate bug. 
  Comment 127 by Alan Cox suggests NFS might be latency related.

109497 mostly describes SMP booting OK, but hanging intermittently.
This bug relates to SMP kernel hanging during boot with USB enabled.



Version-Release number of selected component (if applicable):
kernel-smp-2.4.22-1.2188.nptl

How reproducible:
Always

Steps to Reproduce:
1.Enable USB with BIOS support (Dell 2650 dual cpu)
2.Boot stock Fedora Core 1 kernel SMP (2188)
3.Boot hangs at or around setting up disks
    

Actual Results:  Boot hangs

Expected Results:  System should continue bootup

Additional info:

lspci -v (with USB enabled with BIOS support):
00:0f.2 USB Controller: ServerWorks OSB4/CSB5 OHCI USB Controller (rev
05) (prog-if 10 [OHCI])
        Subsystem: ServerWorks OSB4/CSB5 OHCI USB Controller
        Flags: bus master, medium devsel, latency 32, IRQ 5
        Memory at fe100000 (32-bit, non-prefetchable) [size=4K]

Dell BIOS version A17, latest.

BIOS setting - embedded devices - USB - has three settings:
- On with BIOS support (default) - boot SMP hangs.
- Off - boot SMP succeeds.
- On without BIOS support - boot SMP succeeds, lspci same as on with
BIOS support but kudzu doesn't see USB to configure it.
Comment 1 Brian Hanna 2004-05-04 16:10:59 EDT
Created attachment 99965 [details]
lspci -v

lspci -v under UP kernel with USB on with BIOS support
Comment 2 Brian Hanna 2004-05-04 16:12:07 EDT
Created attachment 99966 [details]
lspci -v

lspci -v under SMP kernel with USB off in BIOS
Comment 3 Brian Hanna 2004-05-04 16:16:52 EDT
I have access to servers for another week or so before production use
starts. Please let me know what I can do to help.
Comment 4 Len Brown 2004-05-19 18:13:00 EDT
You see 4 logical CPUs because the 2 physical CPUS are HT-enabled. 
That is correct behaviour.  "acpi=off" disables ACPI CPU enumeration 
in FC1, and thus when you use it you see only 2 physical CPUS. 
 
 
 
Comment 5 David Lawrence 2004-09-29 16:24:00 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.